fuss-manager - Segnalazione #800

Gestire nei test il caso in cui inotify-tools non é installato

05/07/2019 02:32 PM - Elena Grandi

Status: Chiuso Start date: 05/07/2019
Priority: Bassa Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.9 Consolidamento

Resolution:

Description

Nel caso in cui inotify-tools non sia installato, i test falliscono perché in manager/sources/inotifywait.py c'é path_inotifywait =

shutil.which("inotifywait") che ha valore None.

In quel caso Inotifywait.is_viable() € false, per cui fuss-manager funziona.

Potrebbe essere il caso di skippare i test relativi, eventualmente fornendo warning a riguardo.

(nota: il pacchetto recommends inotify-tools, che quindi in situazioni normali viene installato)

Associated revisions

Revision bcbd1ff9 - 06/26/2019 12:39 PM - Elena Grandi

Skip tests in case inotify-tools is not installed. refs: #800

Revision 52db9bf9 - 06/28/2019 02:13 PM - Enrico Zini
Sync with master. refs: #800

Revision 08a0abf7 - 06/28/2019 02:14 PM - Enrico Zini
Merged t800. Closes: #800

History

#1 - 06/26/2019 12:40 PM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee set to Enrico Zini

Fatto nel branch t800, pronto per review e merge

#2 - 06/28/2019 02:14 PM - Enrico Zini

- Status changed from Commenti to Chiuso

Fatto merge in master
